CONSOLETYPE(1)

NOM
consoletype - affiche le type de la console reliée à l'entrée standard

SYNOPSIS
consoletype

DESCRIPTION
consoletype affiche le type de la console reliée à l'entrée standard. Il affiche vt si la console est un terminal virtuel (périphérique /dev/tty* ou /dev/console si ce n'est pas une console série), serial si l'entrée standard est un terminal série (/dev/console ou /dev/ttyS*) et pty si l'entrée standard est un pseudo-terminal.

VALEUR DE RETOUR
consoletype renvoie

0   si c'est un terminal virtuel

1   si c'est une console série

2   si c'est un pseudo terminal.